# Generated by Django 3.0.8 on 2020-08-09 15:44

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import painless.upload_features.upload_path


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_card', models.FileField(blank=True, null=True, upload_to=painless.upload_features.upload_path.images_upload_to, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf', 'jpg', 'png', 'JPG', 'jpeg', 'JPEG'])], verbose_name='Qid or Passport')),
                ('phone_number', models.CharField(blank=True, max_length=13, null=True, validators=[django.core.validators.MaxLengthValidator(13), django.core.validators.MinLengthValidator(12)], verbose_name='Phone Number')),
                ('width_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, null=True, verbose_name='Height Field')),
                ('picture', models.ImageField(blank=True, height_field='height_field', null=True, upload_to='site', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['jpg', 'png', 'JPG', 'jpeg', 'JPEG'])], verbose_name='Picture', width_field='width_field')),
                ('is_published', models.BooleanField(default=False)),
                ('origin', django_countries.fields.CountryField(blank=True, max_length=2, null=True, verbose_name='Country Origin')),
                ('residence', django_countries.fields.CountryField(blank=True, max_length=2, null=True, verbose_name='Country Residence')),
                ('gender', models.CharField(blank=True, choices=[('m', 'Male'), ('f', 'Female'), ('o', 'Other')], max_length=1, null=True, verbose_name='Gender')),
                ('bio', models.TextField(blank=True, max_length=650, null=True)),
                ('location', models.CharField(blank=True, max_length=120, null=True, verbose_name='Address')),
                ('email_confirmed', models.BooleanField(default=False)),
                ('social_media', models.URLField(blank=True, null=True, validators=[django.core.validators.URLValidator], verbose_name='Social Media')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Profile',
                'verbose_name_plural': 'Profiles',
            },
        ),
    ]
